podTemplate (
    cloud: 'aws-k8s',
    yaml: readTrusted('template/template.yaml'),
    serviceAccount: 'jenkins'
) {
    node(POD_LABEL) {
        stage('CLONE REPO') {
             container('inbound-agent'){
                checkout([
                    $class: 'GitSCM',
                    branches: [[name: "main"]],
                    userRemoteConfigs: [
                        [ url: "https://gitlab.com/cep-project/extra01/userdata-project/fe-userdata.git" ]
                    ]
                ])
            }
        }
        stage('BUILD & PUSH IMAGE') {
            container('kaniko'){
                //sh "sleep 99d"
                sh "/kaniko/executor --context . --dockerfile Dockerfile --destination docker.io/darkhero101/fe-userdata:latest --force --insecure-pull --skip-tls-verify"
            }
        }
        stage('DEPLOY WEB') {
            container('helm'){
                sh "git clone https://gitlab.com/cep-project/extra01/helm-package/helm-fe.git"
                sh "helm uninstall fe-chart || true"
                sh "helm upgrade --install fe-chart helm-fe"
            }
        }
    }
}